Login using OAuth
post/auth/v3.0/login/oauth/{oauthProvider}
Login an existing or register a new user using OAuth2 and sign the required policies. Call without 'authCode' to get the provider URL. POST with a valid 'authCode' as received from the provider to start the login or registration process.Request
Path Parameters
oauthProviderOne of the supported Oauth2 providers. Get supported providers using /login/oauth/supported-providers.
string
REQUIRED
Body
application/json
redirectUriThe URL the provider will redirect to after authentication. Some providers require it, some do not, forcing us to make it required for compatibility.
string
REQUIRED
authCodeThe authorization code as returned by the provider.
string
policiesThe platform policies the user has accepted, such as the EULA.
array integer[]
firstNameOnly required after receiving errors about missing fields.
string
lastNameOnly required after receiving errors about missing fields.
string
emailOnly required after receiving errors about missing fields.
string
customerAn optional name for your default team.
string
Response
200Depending on the Oauth2 step being executed, the resoponse body will differ.
422Depending on the error, the response will be different.
Shell cURL
shellShow schema
json